var searchData=
[
  ['background',['BACKGROUND',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275a87ed58ce5596142e11cb65deb049bb4b',1,'alexaClientSDK::avsCommon::avs']]],
  ['background_5falert_5fasset',['BACKGROUND_ALERT_ASSET',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#a46be2aeec3ed85c74aa50002f6057950',1,'alexaClientSDK::capabilityAgents::alerts::test']]],
  ['background_5falert_5fsound_5fpause_5ftime',['BACKGROUND_ALERT_SOUND_PAUSE_TIME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a6c9e023c7c47f1975b6caf85a0066660',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['backgroundassetid',['backgroundAssetId',['../structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert_1_1_asset_configuration.html#a0082a866e9fcead2186a93b2009e66d4',1,'alexaClientSDK::capabilityAgents::alerts::Alert::AssetConfiguration']]],
  ['backwardseekmutex',['backwardSeekMutex',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout_1_1_header.html#acbe2e97e8f1929bed0d9916fab0bb891',1,'alexaClientSDK::avsCommon::utils::sds::SharedDataStream::BufferLayout::Header']]],
  ['bad_5fjson',['BAD_JSON',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#adcedece7305277a837d34c29a7a22d90',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['bad_5fpath',['BAD_PATH',['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1test.html#a1768b9e806f4423ddddc6a8d95544c49',1,'alexaClientSDK::storage::sqliteStorage::test']]],
  ['bad_5frequest',['BAD_REQUEST',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8a0bbffe9eb8bbfc49246e867fccaefb73',1,'alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface::BAD_REQUEST()'],['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba0bbffe9eb8bbfc49246e867fccaefb73',1,'alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface::BAD_REQUEST()'],['../_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06eaaef4e18cf5dacaf9d0cb90c72663a1b60',1,'BAD_REQUEST():&#160;HttpResponseCodes.h']]],
  ['bad_5fstatus_5fcode',['BAD_STATUS_CODE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a0e547fd4f132292717ab0f5631be3a43',1,'alexaClientSDK::avsCommon::utils::logger::test']]],
  ['bad_5fsynchronize_5fstate_5fjson',['BAD_SYNCHRONIZE_STATE_JSON',['../namespacealexa_client_s_d_k_1_1integration_1_1test.html#aa8f558aaedf32bfc3f50a5e539a36d1a',1,'alexaClientSDK::integration::test']]],
  ['band_5fis_5fsupported_5fif_5fmissing_5fin_5fconfig',['BAND_IS_SUPPORTED_IF_MISSING_IN_CONFIG',['../classalexa_client_s_d_k_1_1equalizer_1_1_s_d_k_config_equalizer_configuration.html#ae2c0018528d9ce3e4f8665f137590de1',1,'alexaClientSDK::equalizer::SDKConfigEqualizerConfiguration']]],
  ['band_5flevel_5faverage',['BAND_LEVEL_AVERAGE',['../namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#aa8b2cdb97abfe400e959fc5eeb18278b',1,'alexaClientSDK::equalizer::test']]],
  ['band_5flevel_5fbottom',['BAND_LEVEL_BOTTOM',['../namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a7a857107bfdc0d5fc85f2d850b7054fb',1,'alexaClientSDK::equalizer::test']]],
  ['band_5flevel_5ftop',['BAND_LEVEL_TOP',['../namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a6bdf77defbf578fbf5a94142b30f822e',1,'alexaClientSDK::equalizer::test']]],
  ['band_5flevel_5fzero',['BAND_LEVEL_ZERO',['../namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a8bc235b1ca963d78da98cfa3d209cedb',1,'alexaClientSDK::equalizer::test']]],
  ['bandlevels',['bandLevels',['../structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html#aaf57c83932ac7a668e52b88944502bc8',1,'alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerState']]],
  ['bands_5fconfig_5fkey',['BANDS_CONFIG_KEY',['../namespacealexa_client_s_d_k_1_1equalizer.html#a8baad786ad6f7e84131557d55e1d4124',1,'alexaClientSDK::equalizer']]],
  ['base_5ften',['BASE_TEN',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a10e3fbadbc3e8f73fed598fce8e88c4e',1,'alexaClientSDK::avsCommon::utils::string']]],
  ['base_5fuuid',['BASE_UUID',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html#a93b362e3d4344f7699eb3ab13c5ee78a',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::SDPRecordInterface']]],
  ['basestreamsource',['BaseStreamSource',['../classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html',1,'alexaClientSDK::mediaPlayer::BaseStreamSource'],['../classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#a4db86450ab72d8a25ff3bcda3c7f606c',1,'alexaClientSDK::mediaPlayer::BaseStreamSource::BaseStreamSource()']]],
  ['basestreamsource_2ecpp',['BaseStreamSource.cpp',['../_base_stream_source_8cpp.html',1,'']]],
  ['basestreamsource_2eh',['BaseStreamSource.h',['../_base_stream_source_8h.html',1,'']]],
  ['basicdbchecks',['basicDBChecks',['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a0a98b1b8f1b98fbf9a2fedfd762a6da3',1,'alexaClientSDK::storage::sqliteStorage::basicDBChecks(SQLiteDatabase &amp;db, const std::string &amp;componentName, const std::string &amp;tableName)'],['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a5d5db2e088a43f40f6775145feb414b8',1,'alexaClientSDK::storage::sqliteStorage::basicDBChecks(SQLiteDatabase &amp;db, const std::string &amp;componentName, const std::string &amp;tableName, bool tableShouldExist)']]],
  ['bass',['BASS',['../namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081eae1618eb6a84ac61faefe0a87d5649689',1,'alexaClientSDK::avsCommon::sdkInterfaces::audio']]],
  ['before_5fevent_5fstream_5fclose',['BEFORE_EVENT_STREAM_CLOSE',['../classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test_1_1_audio_input_processor_test.html#ab4b19df5920f48a3be1c5569164f4376aab5bf6be9cd44ee0d75aa638e0a08439',1,'alexaClientSDK::capabilityAgents::aip::test::AudioInputProcessorTest']]],
  ['begin',['begin',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a8bcf02cc8b71361a7b67afe8e04159aa',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['begin_5findices_5fof_5falexas_5fin_5falexa_5fstop_5falexa_5fjoke_5faudio_5ffile',['BEGIN_INDICES_OF_ALEXAS_IN_ALEXA_STOP_ALEXA_JOKE_AUDIO_FILE',['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#aad309866637057b1bbec36d6f8948b87',1,'alexaClientSDK::kwd::test']]],
  ['begin_5findices_5fof_5falexas_5fin_5ffour_5falexas_5faudio_5ffile',['BEGIN_INDICES_OF_ALEXAS_IN_FOUR_ALEXAS_AUDIO_FILE',['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a66f162853d4f985b4b796ba29432840e',1,'alexaClientSDK::kwd::test']]],
  ['beginindex',['beginIndex',['../structalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer_1_1detection_result.html#a9aa66d6887ccea053fadac647ed06556',1,'alexaClientSDK::kwd::test::testKeyWordObserver::detectionResult']]],
  ['begintransaction',['beginTransaction',['../classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html#aef1fadcc562eca41c41a332e493b20ce',1,'alexaClientSDK::storage::sqliteStorage::SQLiteDatabase']]],
  ['below_5fmin_5flevel',['BELOW_MIN_LEVEL',['../namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a671618aa35ae8f28e591733f007ab009',1,'alexaClientSDK::equalizer::test::BELOW_MIN_LEVEL()'],['../namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a671618aa35ae8f28e591733f007ab009',1,'alexaClientSDK::equalizer::test::BELOW_MIN_LEVEL()']]],
  ['big',['BIG',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a0415c3e88ef5a43e176055c88e554b21aa60c6c694491d75b439073b8cb05b139',1,'alexaClientSDK::avsCommon::utils::AudioFormat']]],
  ['bindint64parameter',['bindInt64Parameter',['../classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#ac827b027ab1d0a5e71da64a1a9936fe7',1,'alexaClientSDK::storage::sqliteStorage::SQLiteStatement']]],
  ['bindintparameter',['bindIntParameter',['../classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#adc95362d23ccb132f554c3fbfa4d8a51',1,'alexaClientSDK::storage::sqliteStorage::SQLiteStatement']]],
  ['bindstringparameter',['bindStringParameter',['../classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#adae13e823fb4597a691cdf0910b4614f',1,'alexaClientSDK::storage::sqliteStorage::SQLiteStatement']]],
  ['bit_5frate',['BIT_RATE',['../namespacealexa_client_s_d_k_1_1speechencoder.html#a998ff4d9100adae9136a5605cb9f0e09',1,'alexaClientSDK::speechencoder']]],
  ['bits_5fin_5fhex_5fdigit',['BITS_IN_HEX_DIGIT',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1uuid_generation.html#a84d0af91d9812874964b1cbc82e22e93',1,'alexaClientSDK::avsCommon::utils::uuidGeneration']]],
  ['bitspersample',['BitsPerSample',['../classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a48abd8c4509cb657ebd99d5ac8f8659d',1,'alexaClientSDK::kwd::SnowboyWrapper']]],
  ['blocking',['BLOCKING',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a07d2a9441f40d089a1f9a0d7e2baab4ba72323e5457d8fb855145bfee934aa415',1,'alexaClientSDK::avsCommon::utils::sds::BLOCKING()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html#a7b17d768f16a6f5da766df780d94bbd5a72323e5457d8fb855145bfee934aa415',1,'alexaClientSDK::avsCommon::utils::sds::BLOCKING()']]],
  ['blockingpolicy',['BlockingPolicy',['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html',1,'alexaClientSDK::avsCommon::avs::BlockingPolicy'],['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_blocking_policy.html#adf43dd9b99f5d305a232a42b6b9ef766',1,'alexaClientSDK::avsCommon::avs::BlockingPolicy::BlockingPolicy()']]],
  ['blockingpolicy_2ecpp',['BlockingPolicy.cpp',['../_blocking_policy_8cpp.html',1,'']]],
  ['blockingpolicy_2eh',['BlockingPolicy.h',['../_blocking_policy_8h.html',1,'']]],
  ['blockingpolicytest',['BlockingPolicyTest',['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_blocking_policy_test.html',1,'alexaClientSDK::avsCommon::test']]],
  ['blockingpolicytest_2ecpp',['BlockingPolicyTest.cpp',['../_blocking_policy_test_8cpp.html',1,'']]],
  ['bluetooth',['Bluetooth',['../classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth.html',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetooth_2ecpp',['Bluetooth.cpp',['../_bluetooth_8cpp.html',1,'']]],
  ['bluetooth_2eh',['Bluetooth.h',['../_bluetooth_8h.html',1,'']]],
  ['bluetooth_5fcapability_5finterface_5fname',['BLUETOOTH_CAPABILITY_INTERFACE_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a3b3975726b1dfbce7bae32e654e13465',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetooth_5fcapability_5finterface_5ftype',['BLUETOOTH_CAPABILITY_INTERFACE_TYPE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a412f0290b6386f26782fcfe99d369c77',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetooth_5fcapability_5finterface_5fversion',['BLUETOOTH_CAPABILITY_INTERFACE_VERSION',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#ac5fb894ce7d7fa3d0de6e6e9c2af7d1c',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetooth_5fconfiguration_5froot_5fkey',['BLUETOOTH_CONFIGURATION_ROOT_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a71483de71439e9e2ee1c9194c49efa49',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetooth_5fdb_5ffile_5fpath_5fkey',['BLUETOOTH_DB_FILE_PATH_KEY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a5f59fa78c1ebfdc3b01832e1aef6f1b4',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetooth_5fdevice_5fmanager_5finitialized',['BLUETOOTH_DEVICE_MANAGER_INITIALIZED',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58caa87a9e4b3e2ac68ac3dec2bca56c77788',1,'alexaClientSDK::avsCommon::utils::bluetooth']]],
  ['bluetooth_5fdiscover',['BLUETOOTH_DISCOVER',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a31ef8891b46ebe41154db9439ce71db5',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluetooth_5fjson',['BLUETOOTH_JSON',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test.html#a2d5751c03b00485daa65e00a653c005c',1,'alexaClientSDK::capabilityAgents::bluetooth::test']]],
  ['bluetooth_5fpolicy',['BLUETOOTH_POLICY',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#aa1851537340c7d55afdfc10f8b8fc223',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluetooth_5fstate',['BLUETOOTH_STATE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#ac26112a0a1c4da54a665d330ae347e08',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetoothavrcptransformer',['BluetoothAVRCPTransformer',['../classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_a_v_r_c_p_transformer.html',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetoothavrcptransformer_2ecpp',['BluetoothAVRCPTransformer.cpp',['../_bluetooth_a_v_r_c_p_transformer_8cpp.html',1,'']]],
  ['bluetoothavrcptransformer_2eh',['BluetoothAVRCPTransformer.h',['../_bluetooth_a_v_r_c_p_transformer_8h.html',1,'']]],
  ['bluetoothavrcptransformertest',['BluetoothAVRCPTransformerTest',['../classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1test_1_1_bluetooth_a_v_r_c_p_transformer_test.html',1,'alexaClientSDK::capabilityAgents::bluetooth::test']]],
  ['bluetoothavrcptransformertest_2ecpp',['BluetoothAVRCPTransformerTest.cpp',['../_bluetooth_a_v_r_c_p_transformer_test_8cpp.html',1,'']]],
  ['bluetoothdeviceinterface',['BluetoothDeviceInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_interface.html',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth']]],
  ['bluetoothdeviceinterface_2eh',['BluetoothDeviceInterface.h',['../_bluetooth_device_interface_8h.html',1,'']]],
  ['bluetoothdevicemanagerinitializedevent',['BluetoothDeviceManagerInitializedEvent',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_device_manager_initialized_event.html',1,'alexaClientSDK::avsCommon::utils::bluetooth::BluetoothDeviceManagerInitializedEvent'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_device_manager_initialized_event.html#a33499196b0d0262881d1b58ca7c54ac7',1,'alexaClientSDK::avsCommon::utils::bluetooth::BluetoothDeviceManagerInitializedEvent::BluetoothDeviceManagerInitializedEvent()']]],
  ['bluetoothdevicemanagerinterface',['BluetoothDeviceManagerInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_manager_interface.html',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth']]],
  ['bluetoothdevicemanagerinterface_2eh',['BluetoothDeviceManagerInterface.h',['../_bluetooth_device_manager_interface_8h.html',1,'']]],
  ['bluetoothdeviceobserverinterface',['BluetoothDeviceObserverInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_observer_interface.html',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth']]],
  ['bluetoothdeviceobserverinterface_2eh',['BluetoothDeviceObserverInterface.h',['../_bluetooth_device_observer_interface_8h.html',1,'']]],
  ['bluetoothevent',['BluetoothEvent',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event.html',1,'alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEvent'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event.html#af8dd29448ed561e9de359043108b088e',1,'alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEvent::BluetoothEvent()']]],
  ['bluetootheventbus',['BluetoothEventBus',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event_bus.html',1,'alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventBus'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event_bus.html#a3493c9585523e76da0787da0a97ecbdc',1,'alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventBus::BluetoothEventBus()']]],
  ['bluetootheventbus_2ecpp',['BluetoothEventBus.cpp',['../_bluetooth_event_bus_8cpp.html',1,'']]],
  ['bluetootheventbus_2eh',['BluetoothEventBus.h',['../_bluetooth_event_bus_8h.html',1,'']]],
  ['bluetootheventlistenerinterface',['BluetoothEventListenerInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event_listener_interface.html',1,'alexaClientSDK::avsCommon::utils::bluetooth']]],
  ['bluetootheventlistenerinterface_2eh',['BluetoothEventListenerInterface.h',['../_bluetooth_event_listener_interface_8h.html',1,'']]],
  ['bluetoothevents_2eh',['BluetoothEvents.h',['../_bluetooth_events_8h.html',1,'']]],
  ['bluetootheventtype',['BluetoothEventType',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58ca',1,'alexaClientSDK::avsCommon::utils::bluetooth']]],
  ['bluetootheventtypehash',['BluetoothEventTypeHash',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event_type_hash.html',1,'alexaClientSDK::avsCommon::utils::bluetooth']]],
  ['bluetoothhostcontrollerinterface',['BluetoothHostControllerInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_host_controller_interface.html',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth']]],
  ['bluetoothhostcontrollerinterface_2eh',['BluetoothHostControllerInterface.h',['../_bluetooth_host_controller_interface_8h.html',1,'']]],
  ['bluetoothserviceinterface',['BluetoothServiceInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_bluetooth_service_interface.html',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services']]],
  ['bluetoothserviceinterface_2eh',['BluetoothServiceInterface.h',['../_bluetooth_service_interface_8h.html',1,'']]],
  ['bluetoothstorageinterface',['BluetoothStorageInterface',['../classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth_storage_interface.html',1,'alexaClientSDK::capabilityAgents::bluetooth']]],
  ['bluetoothstorageinterface_2eh',['BluetoothStorageInterface.h',['../_bluetooth_storage_interface_8h.html',1,'']]],
  ['bluez_5fadapter_5finterface',['BLUEZ_ADAPTER_INTERFACE',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#ae61396a536a9942362bf4f019fcbc90c',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fadapter_5fremove_5fdevice',['BLUEZ_ADAPTER_REMOVE_DEVICE',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a234ce143713e003d6e3babf74e2b7979',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fagentmanager_5finterface',['BLUEZ_AGENTMANAGER_INTERFACE',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#a075423cedbb2e9e727b0588920b16280',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fdevice_5finterface',['BLUEZ_DEVICE_INTERFACE',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#a5b5ce9bd3afbf7b20509b1b540ad5f15',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fdevice_5finterface_5faddress',['BLUEZ_DEVICE_INTERFACE_ADDRESS',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#a371f3146463dcec8134c9c083e17a237',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fdevice_5finterface_5falias',['BLUEZ_DEVICE_INTERFACE_ALIAS',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#ac81efbba7ba30379cd9602b4dd6a385d',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fdevice_5fmethod_5fconnect',['BLUEZ_DEVICE_METHOD_CONNECT',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a957d853b07ec9bf32f9c3e59cc224667',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fdevice_5fmethod_5fdisconnect',['BLUEZ_DEVICE_METHOD_DISCONNECT',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ab86564879fa131e74ea00a2354d0bea3',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fdevice_5fmethod_5fpair',['BLUEZ_DEVICE_METHOD_PAIR',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af1c668beb8657cac6258395477658ddc',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fdevice_5fproperty_5falias',['BLUEZ_DEVICE_PROPERTY_ALIAS',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a380373ca755a08bc24830fa7e964f3bf',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fdevice_5fproperty_5fconnected',['BLUEZ_DEVICE_PROPERTY_CONNECTED',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7ae6e1a8fac41ba09fd85abe444eec53',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fdevice_5fproperty_5fpaired',['BLUEZ_DEVICE_PROPERTY_PAIRED',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a0123c5478c78e9160c0cc39e7759058e',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fdevice_5fproperty_5fuuids',['BLUEZ_DEVICE_PROPERTY_UUIDS',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#afe60b6f9eab84d6653efcd73a00eb1b8',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5ferror_5fnotfound',['BLUEZ_ERROR_NOTFOUND',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af2027c67b803308ad71366e91b55b816',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5ferror_5fresource_5funavailable',['BLUEZ_ERROR_RESOURCE_UNAVAILABLE',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a2c14a89c6df3f7802da578e9e127d0e8',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluez_5fmedia_5finterface',['BLUEZ_MEDIA_INTERFACE',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#a2c4e5248079cd873b629b032b40ad9f0',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fmedia_5fplayer_5finterface',['BLUEZ_MEDIA_PLAYER_INTERFACE',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#a06f63ab836c0d5b93dad968eccc1a744',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fmediatransport_5finterface',['BLUEZ_MEDIATRANSPORT_INTERFACE',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#abe1ff07bef2b181b38f64ff52adeb764',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['bluez_5fservice_5fname',['BLUEZ_SERVICE_NAME',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html#a5bb7ae8fca9e0264a46af6ca03e8a054',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZConstants']]],
  ['blueza2dpsink',['BlueZA2DPSink',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a2_d_p_sink.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['blueza2dpsink_2ecpp',['BlueZA2DPSink.cpp',['../_blue_z_a2_d_p_sink_8cpp.html',1,'']]],
  ['blueza2dpsink_2eh',['BlueZA2DPSink.h',['../_blue_z_a2_d_p_sink_8h.html',1,'']]],
  ['blueza2dpsinktest_2ecpp',['BlueZA2DPSinkTest.cpp',['../_blue_z_a2_d_p_sink_test_8cpp.html',1,'']]],
  ['blueza2dpsource',['BlueZA2DPSource',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a2_d_p_source.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['blueza2dpsource_2ecpp',['BlueZA2DPSource.cpp',['../_blue_z_a2_d_p_source_8cpp.html',1,'']]],
  ['blueza2dpsource_2eh',['BlueZA2DPSource.h',['../_blue_z_a2_d_p_source_8h.html',1,'']]],
  ['bluezavrcpcontroller',['BlueZAVRCPController',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_controller.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluezavrcpcontroller_2ecpp',['BlueZAVRCPController.cpp',['../_blue_z_a_v_r_c_p_controller_8cpp.html',1,'']]],
  ['bluezavrcpcontroller_2eh',['BlueZAVRCPController.h',['../_blue_z_a_v_r_c_p_controller_8h.html',1,'']]],
  ['bluezavrcpcontrollertest_2ecpp',['BlueZAVRCPControllerTest.cpp',['../_blue_z_a_v_r_c_p_controller_test_8cpp.html',1,'']]],
  ['bluezavrcptarget',['BlueZAVRCPTarget',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_target.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluezavrcptarget_2ecpp',['BlueZAVRCPTarget.cpp',['../_blue_z_a_v_r_c_p_target_8cpp.html',1,'']]],
  ['bluezavrcptarget_2eh',['BlueZAVRCPTarget.h',['../_blue_z_a_v_r_c_p_target_8h.html',1,'']]],
  ['bluezavrcptargettest',['BlueZAVRCPTargetTest',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1test_1_1_blue_z_a_v_r_c_p_target_test.html',1,'alexaClientSDK::bluetoothImplementations::blueZ::test']]],
  ['bluezavrcptargettest_2ecpp',['BlueZAVRCPTargetTest.cpp',['../_blue_z_a_v_r_c_p_target_test_8cpp.html',1,'']]],
  ['bluezbluetoothdevice',['BlueZBluetoothDevice',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluezbluetoothdevice_2ecpp',['BlueZBluetoothDevice.cpp',['../_blue_z_bluetooth_device_8cpp.html',1,'']]],
  ['bluezbluetoothdevice_2eh',['BlueZBluetoothDevice.h',['../_blue_z_bluetooth_device_8h.html',1,'']]],
  ['bluezbluetoothdevicemanager',['BlueZBluetoothDeviceManager',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device_manager.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluezbluetoothdevicemanager_2ecpp',['BlueZBluetoothDeviceManager.cpp',['../_blue_z_bluetooth_device_manager_8cpp.html',1,'']]],
  ['bluezbluetoothdevicemanager_2eh',['BlueZBluetoothDeviceManager.h',['../_blue_z_bluetooth_device_manager_8h.html',1,'']]],
  ['bluezconstants',['BlueZConstants',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_constants.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluezconstants_2eh',['BlueZConstants.h',['../_blue_z_constants_8h.html',1,'']]],
  ['bluezdevicemanager',['BlueZDeviceManager',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_device_manager.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluezdevicemanager_2ecpp',['BlueZDeviceManager.cpp',['../_blue_z_device_manager_8cpp.html',1,'']]],
  ['bluezdevicemanager_2eh',['BlueZDeviceManager.h',['../_blue_z_device_manager_8h.html',1,'']]],
  ['bluezdevicestate',['BlueZDeviceState',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html#a9f74fef47c51e478579bd780c8ba6019',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDevice']]],
  ['bluezhostcontroller',['BlueZHostController',['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_host_controller.html',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['bluezhostcontroller_2ecpp',['BlueZHostController.cpp',['../_blue_z_host_controller_8cpp.html',1,'']]],
  ['bluezhostcontroller_2eh',['BlueZHostController.h',['../_blue_z_host_controller_8h.html',1,'']]],
  ['bluezutils_2eh',['BlueZUtils.h',['../_blue_z_utils_8h.html',1,'']]],
  ['body',['body',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_h_t_t_p_response.html#aec9b2b5d930c8b98af6bc7ee6ace3c05',1,'alexaClientSDK::avsCommon::utils::libcurlUtils::HTTPResponse']]],
  ['body_5fdone',['BODY_DONE',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html#aba5364b9cdcabdc4dcab1d8a64370b86aaab54f5c39f6e9366a4d285f1c689cb2',1,'alexaClientSDK::avsCommon::sdkInterfaces::HTTPContentFetcherInterface']]],
  ['bool1_5f1',['BOOL1_1',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a5cc82a1c0f48b109caed8f02bb44dee5',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['bool_5ffalse',['BOOL_FALSE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a9f4cd8188daa390e20b97a9bbd220073',1,'alexaClientSDK::avsCommon::utils::logger']]],
  ['bool_5ftrue',['BOOL_TRUE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a8e76750e3e32e24bce7337d8586f6b35',1,'alexaClientSDK::avsCommon::utils::logger']]],
  ['bool_5fvalue1_5f1',['BOOL_VALUE1_1',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a0876ebdfa5159eeaf35db4934a5067d8',1,'alexaClientSDK::avsCommon::utils::configuration::test']]],
  ['boolean',['BOOLEAN',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html#ab8bd9f2e13a80beba778f9effcf768f9ac48d5da12d702e73d6966069f2687376',1,'alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface']]],
  ['boolsettingmenu',['boolSettingMenu',['../namespacealexa_client_s_d_k_1_1sample_app.html#aee129319f927782e02dd90772a0426c0',1,'alexaClientSDK::sampleApp']]],
  ['booltoselectedstring',['boolToSelectedString',['../namespacealexa_client_s_d_k_1_1sample_app.html#a99d5d444966dfd4f80d5baf27b911169',1,'alexaClientSDK::sampleApp']]],
  ['boundary',['boundary',['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#ab4ffddf2a88c596aaf0c6fb119a89148',1,'alexaClientSDK::avsCommon::test::MIMEParserTest::boundary()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a5273fa04331ed51392b01cc132c8a86a',1,'alexaClientSDK::avsCommon::test::BOUNDARY()']]],
  ['boundary_5fdelimiter',['BOUNDARY_DELIMITER',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a192ea55ac794c00dcab980c6f8a28b60',1,'alexaClientSDK::avsCommon::utils::http2']]],
  ['boundary_5fheader_5fprefix',['BOUNDARY_HEADER_PREFIX',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a7e9566d46f4401869459e196a75ccfe6',1,'alexaClientSDK::avsCommon::utils::http2::BOUNDARY_HEADER_PREFIX()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a39319a5fba28031666f7a3e7181fe47d',1,'alexaClientSDK::avsCommon::test::BOUNDARY_HEADER_PREFIX()']]],
  ['boundary_5fline',['BOUNDARY_LINE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#ab0c3a3311b5b1898dd7aefdd6791fae5',1,'alexaClientSDK::avsCommon::test']]],
  ['boundary_5fprefix',['BOUNDARY_PREFIX',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a8061b0828a6af4f7b6ddc48e254faa5e',1,'alexaClientSDK::avsCommon::utils::http2']]],
  ['boundary_5fprefix_5fsize',['BOUNDARY_PREFIX_SIZE',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a4c75c15bbafb3b43d11791a7a20f2eb7',1,'alexaClientSDK::avsCommon::utils::http2']]],
  ['buffer',['Buffer',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_buffer.html',1,'alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::Buffer'],['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_in_process_s_d_s_traits.html#af7ff4eb1e4f1628fb39ba7534b2bdb32',1,'alexaClientSDK::avsCommon::utils::sds::InProcessSDSTraits::Buffer()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a67af57a971f627e1a8f69815bdd1369e',1,'alexaClientSDK::avsCommon::utils::sds::SharedDataStream::Buffer()'],['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits2.html#a1544ed0edda4682d15b5149e1493e5e8',1,'alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits2::Buffer()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_buffer.html#a187c2f08328317ffba58fd1daf1f435a',1,'alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::Buffer::Buffer()']]],
  ['buffer_5fsize',['BUFFER_SIZE',['../classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue.html#a3cd17788f1d11c1130641b5efa2e852c',1,'alexaClientSDK::mediaPlayer::android::AndroidSLESMediaQueue::BUFFER_SIZE()'],['../namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a5cca13349f08557511ae736e03a9c649',1,'alexaClientSDK::mediaPlayer::android::BUFFER_SIZE()'],['../namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a5cca13349f08557511ae736e03a9c649',1,'alexaClientSDK::mediaPlayer::android::BUFFER_SIZE()'],['../namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#acaf1f651901f2320e16ad31d64fdbacb',1,'alexaClientSDK::mediaPlayer::android::test::BUFFER_SIZE()'],['../namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#acaf1f651901f2320e16ad31d64fdbacb',1,'alexaClientSDK::mediaPlayer::android::test::BUFFER_SIZE()']]],
  ['buffer_5fsize_5fin_5fsamples',['BUFFER_SIZE_IN_SAMPLES',['../namespacealexa_client_s_d_k_1_1sample_app.html#a7000af47c2ae793dc096ed260dd03816',1,'alexaClientSDK::sampleApp']]],
  ['buffer_5funderrun',['BUFFER_UNDERRUN',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#af150b2d10515e0e7347e09a69986a47ba8c1a053a04b750c9a6a26ac7388a1d49',1,'alexaClientSDK::avsCommon::avs']]],
  ['buffercondition',['bufferCondition',['../namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#afc1fc78bf60de38081d9950a660cf69d',1,'alexaClientSDK::mediaPlayer::android::test']]],
  ['bufferfree',['bufferFree',['../namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aad702c9bf325bb9a0df6201381f70c63',1,'alexaClientSDK::mediaPlayer::android::test']]],
  ['bufferlayout',['BufferLayout',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout.html',1,'alexaClientSDK::avsCommon::utils::sds::SharedDataStream&lt; T &gt;::BufferLayout&lt; T &gt;'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_buffer_layout.html#a24a2842bd2ec0bcec9e5041f8802a491',1,'alexaClientSDK::avsCommon::utils::sds::SharedDataStream::BufferLayout::BufferLayout()']]],
  ['bufferlayout_2eh',['BufferLayout.h',['../_buffer_layout_8h.html',1,'']]],
  ['buffermutex',['bufferMutex',['../namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a9deb4374d006c7b901f3d56a0c285641',1,'alexaClientSDK::mediaPlayer::android::test']]],
  ['build_5fcontext_5ferror',['BUILD_CONTEXT_ERROR',['../namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018ad7f5137f80b534b3740829379bc9489f',1,'alexaClientSDK::avsCommon::sdkInterfaces']]],
  ['build_5fheader',['BUILD_HEADER',['../_m_i_m_e_parser_test_8cpp.html#a58f415e9b33e78373d5f96382ea799a5',1,'MIMEParserTest.cpp']]],
  ['buildactivealertscontext',['buildActiveAlertsContext',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a213f4072a5996b67facaa6af371cde9c',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['buildallalertscontext',['buildAllAlertsContext',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ae8c1d87db90f40aaeebad475524d6aaa',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['builddefaultplayerstate',['buildDefaultPlayerState',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ab708a95526e534c4a580f50031ce86d8',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['buildeqstatejson',['buildEQStateJson',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#adde663a72510c092e6aba740a4e369db',1,'alexaClientSDK::capabilityAgents::equalizer']]],
  ['buildevent',['buildEvent',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#abeb8aa5d5966edbc8603d95ac8f9caea',1,'alexaClientSDK::avsCommon::avs']]],
  ['buildheader',['buildHeader',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a9c2bac3ad7de8a8886020f331002c72d',1,'alexaClientSDK::avsCommon::avs']]],
  ['building_5fmessage',['BUILDING_MESSAGE',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_metrics.html#a8c28be1da20606a37e7a56d54ad1bb63a7c582148143ef80aa65f7e17737d9f46',1,'alexaClientSDK::avsCommon::utils::Metrics']]],
  ['buildjsoneventstring',['buildJsonEventString',['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a0141d9d834ebc600e75117d5fc791202',1,'alexaClientSDK::avsCommon::avs::CapabilityAgent::buildJsonEventString()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a5ffb3ba6f9657ec6092520aefd2b7380',1,'alexaClientSDK::avsCommon::avs::buildJsonEventString()']]],
  ['buildplaybackstate',['buildPlaybackState',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a7e27177be092019841c39d05ef01d77d',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['buildsessionstate',['buildSessionState',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a4af4a9e2dd624d73fd37d6ef7fb3a6ff',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['buildsupportedoperations',['buildSupportedOperations',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ac1a9579566d265c2697f5cea55fd9207',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSupportedOperations(const std::vector&lt; avsCommon::sdkInterfaces::externalMediaPlayer::SupportedPlaybackOperation &gt; &amp;supportedOperations, rapidjson::Document::AllocatorType &amp;allocator)'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#aea7441f8a94f5ae1b9e5defb607694c8',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSupportedOperations(const std::vector&lt; SupportedPlaybackOperation &gt; &amp;supportedOperations, rapidjson::Document::AllocatorType &amp;allocator)']]],
  ['bulkerase',['bulkErase',['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_alert_storage_interface.html#aa5aa64937f26592a631500b2572c1bab',1,'alexaClientSDK::capabilityAgents::alerts::storage::AlertStorageInterface::bulkErase()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_s_q_lite_alert_storage.html#a120de053dd6de7b3fd378df3aeb131ee',1,'alexaClientSDK::capabilityAgents::alerts::storage::SQLiteAlertStorage::bulkErase()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_alert_storage.html#a7f86be6f37eadb48b00a3731b3372250',1,'alexaClientSDK::capabilityAgents::alerts::test::StubAlertStorage::bulkErase()']]],
  ['busy',['BUSY',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_audio_input_processor_observer_interface.html#aaec10009cef97fa38316fb0f2beab1c7a802706a9238e2928077f97736854bad4',1,'alexaClientSDK::avsCommon::sdkInterfaces::AudioInputProcessorObserverInterface::BUSY()'],['../_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5a802706a9238e2928077f97736854bad4',1,'BUSY():&#160;SetSettingResult.h']]],
  ['button_5fcommand_5fevent_5fname',['BUTTON_COMMAND_EVENT_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae32afa756d0bf2dcb8a9d470d8387bde',1,'alexaClientSDK::capabilityAgents::playbackController']]],
  ['button_5fname_5fskipbackward',['BUTTON_NAME_SKIPBACKWARD',['../namespacealexa_client_s_d_k_1_1sample_app.html#a77b96885a57f37605fb002b548303e13',1,'alexaClientSDK::sampleApp']]],
  ['button_5fname_5fskipforward',['BUTTON_NAME_SKIPFORWARD',['../namespacealexa_client_s_d_k_1_1sample_app.html#a286ee70784f3d0501d9bd5ac44bfef69',1,'alexaClientSDK::sampleApp']]],
  ['buttoncommand_5fv1_5f0',['ButtonCommand_v1_0',['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html',1,'alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_0'],['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html#ab28f3a361a81f09bf67639b33a6e1304',1,'alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_0::ButtonCommand_v1_0()']]],
  ['buttoncommand_5fv1_5f1',['ButtonCommand_v1_1',['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html',1,'alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_1'],['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html#aae60054ccbdf5efc8a775fc0c0d23263',1,'alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_1::ButtonCommand_v1_1()']]],
  ['buttonpressed',['buttonPressed',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#adddcad41e49e64f27d0703db3b557996',1,'alexaClientSDK::avsCommon::sdkInterfaces::PlaybackRouterInterface::buttonPressed()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_router.html#a31654624e53e879f3ccfc1ceb3a8cc4a',1,'alexaClientSDK::capabilityAgents::playbackController::PlaybackRouter::buttonPressed()']]],
  ['buttontocommand',['buttonToCommand',['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#ace53ccb7bbc9da3ff95e959304a6e45e',1,'alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand']]],
  ['byte',['Byte',['../classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue.html#a7c3070e9a966b7e96caf25695b108ab5',1,'alexaClientSDK::mediaPlayer::android::AndroidSLESMediaQueue::Byte()'],['../classalexa_client_s_d_k_1_1media_player_1_1android_1_1_decoder_interface.html#a61064239f4eac92ed319f90ec93aa3df',1,'alexaClientSDK::mediaPlayer::android::DecoderInterface::Byte()'],['../namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ad6b08eaffbb60d4720ffafe0de93b712',1,'alexaClientSDK::mediaPlayer::android::test::Byte()']]],
  ['byte_5fto_5fbits',['BYTE_TO_BITS',['../namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ac53250f4c2839f10b544666ad7a6b701',1,'alexaClientSDK::mediaPlayer::android']]],
  ['byterange',['byteRange',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a1d01b38fda698ba2e4132257caa96ba1',1,'alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::byteRange()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#aaf393ec6797d10541b558b52bb9c5514',1,'alexaClientSDK::avsCommon::utils::playlistParser::ByteRange()']]],
  ['byterange_5fattr',['BYTERANGE_ATTR',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#a3bfe3d543fdaa34d3d90f229ada663d0',1,'alexaClientSDK::playlistParser']]],
  ['bytevector',['ByteVector',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#abb353a54a9bac083933edf0b95d28cbd',1,'alexaClientSDK::playlistParser']]],
  ['bytevectortostring',['byteVectorToString',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a8e9905aba0bab1ca8d423ee2dda1e289',1,'alexaClientSDK::avsCommon::utils::string']]]
];
